image: docker:20.10.6

variables:
  BUILD_VERSION: "8.2.1"

stages:
  - build

build:
  stage: build
  services:
    - docker:dind
  before_script:
    - echo $CI_BUILD_TOKEN | docker login $CI_REGISTRY --username gitlab-ci-token --password-stdin
  script:
    - docker build
      -t ${CI_REGISTRY_IMAGE}/dockerargtesting:latest 
      --build-arg BUILD_VERSION=${BUILD_VERSION}.${CI_PIPELINE_IID} .
    - 'docker push ${CI_REGISTRY_IMAGE}/dockerargtesting:latest'